#!/usr/bin/python
import os
import json
import random

class GetUserAgentsError(Exception):
	pass

class Get_UA:
	def __init__(self, device=None):
		self.device = device.lower()

		if self.device:
			self.findUserAgents()
		else:
			raise GetUserAgentsError(f"{self.device} not be found")

	def findUserAgents(self):
		path = os.path.realpath(__file__)
		dir = os.path.dirname(path)
		
		try:
			with open(f"{dir}/data/get_useragents.json", "r") as f:
				data = json.loads(f.read())
			self.user_agents = data["g4rzk"][f"{self.device}"]

		except Exception:
			raise GetUserAgentsError("data folder could not be found")

	def GetUserAgents(self):
		return self.user_agents

	def RandomUserAgents(self):
		return random.choice(self.user_agents)